package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class MgvAllTableTriggersDTO implements Serializable {

    private static final long serialVersionUID = 508092026810332L;

    private Integer projectId;

    private String projectName;

    private Integer connectionId;

    private String host;

    private Integer port;

    private String username;

    private Integer catalogId;

    private String catalogName;

    private Character dummyFlag;

    private Integer schemaId;

    private String schemaName;

    private Integer tableId;

    private String tableName;

    private Integer triggerId;

    private String triggerName;

        public Integer getProjectId() {
    return projectId;
    }

        public void setProjectId(Integer projectId) {
    this.projectId = projectId;
    }

        public String getProjectName() {
    return projectName;
    }

        public void setProjectName(String projectName) {
    this.projectName = projectName;
    }

        public Integer getConnectionId() {
    return connectionId;
    }

        public void setConnectionId(Integer connectionId) {
    this.connectionId = connectionId;
    }

        public String getHost() {
    return host;
    }

        public void setHost(String host) {
    this.host = host;
    }

        public Integer getPort() {
    return port;
    }

        public void setPort(Integer port) {
    this.port = port;
    }

        public String getUsername() {
    return username;
    }

        public void setUsername(String username) {
    this.username = username;
    }

        public Integer getCatalogId() {
    return catalogId;
    }

        public void setCatalogId(Integer catalogId) {
    this.catalogId = catalogId;
    }

        public String getCatalogName() {
    return catalogName;
    }

        public void setCatalogName(String catalogName) {
    this.catalogName = catalogName;
    }

        public Character getDummyFlag() {
    return dummyFlag;
    }

        public void setDummyFlag(Character dummyFlag) {
    this.dummyFlag = dummyFlag;
    }

        public Integer getSchemaId() {
    return schemaId;
    }

        public void setSchemaId(Integer schemaId) {
    this.schemaId = schemaId;
    }

        public String getSchemaName() {
    return schemaName;
    }

        public void setSchemaName(String schemaName) {
    this.schemaName = schemaName;
    }

        public Integer getTableId() {
    return tableId;
    }

        public void setTableId(Integer tableId) {
    this.tableId = tableId;
    }

        public String getTableName() {
    return tableName;
    }

        public void setTableName(String tableName) {
    this.tableName = tableName;
    }

        public Integer getTriggerId() {
    return triggerId;
    }

        public void setTriggerId(Integer triggerId) {
    this.triggerId = triggerId;
    }

        public String getTriggerName() {
    return triggerName;
    }

        public void setTriggerName(String triggerName) {
    this.triggerName = triggerName;
    }

}